package com.emr.dao.his;

import com.emr.entity.his.HISBA3;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface HISBA3Mapper {
    int deleteByPrimaryKey(Long fid);

    int insert(HISBA3 record);

    int insertSelective(HISBA3 record);

    HISBA3 selectByPrimaryKey(Long fid);

    int updateByPrimaryKeySelective(HISBA3 record);

    int updateByPrimaryKey(HISBA3 record);

    List<HISBA3> selectAllByParam(@Param("fprn") String fprn, @Param("ftimes") Integer ftimes);

    //批量删除
    int deleteAllByParam(@Param("fprn") String fprn, @Param("ftimes") Integer ftimes);
    //批量添加
    int SimpleInsert(@Param("list")List<HISBA3> list);
}